# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_变更审核列表,31,31-7,sit,be
主数据平台:后台运营系统站点资料变更审核列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import datetime
import random
import requests
import json

module = "cmdc_31st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username1_be1")
password = commonFuc().get_business_data(module, "password1_be1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取站点资料变更审核列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url5")
request_body = commonFuc().get_business_data(module, "payload5")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
site_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取站点信息
apply_no = result["data"]["list"][site_random]["applyNo"]
apply_time = result["data"]["list"][site_random]["createTime"][:10] + " 00:00:00"
now_time = datetime.datetime.now().strftime("%Y-%m-%d 00:00:00")
company_name = result["data"]["list"][site_random]["companyName"]
apply_status = result["data"]["list"][site_random]["applyStatus"]
site_type = result["data"]["list"][site_random]["siteType"]

# 第三步进行查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url6")
request_body = commonFuc().get_business_data(module, "payload6", apply_no, company_name, apply_time, now_time,
                                             apply_status, site_type)

"""

 场景: 查询条件验证_变更审核列表
 用例名称：查询条件验证_变更审核列表
 输出：{"applyNo":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取查询结果中applyNo
result = json.loads(result.content)
# print(result)
result = {"applyNo": result["data"]["list"][0]["applyNo"]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict6", apply_no)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
