# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_欠货列表,2294,2294-7,sit,bs
主数据平台:多采商城获获取订单欠货列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import random
import requests
import datetime
import json

module = "cmdc_trade"

# 第一步获取登录多采商城所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取订单欠货列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url6")
request_body = commonFuc().get_business_data(module, "payload6")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)


# 此函数用于当x为none时，进行空字符串替换
def func(x):
    if x is None:
        x = ""
        return x
    else:
        return x


# 生成随机数
order_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取订单欠货信息
seller_companyCode = result["data"]["list"][order_random]["sellerCompanyCode"]
demand_code = result["data"]["list"][order_random]["demandCode"]
manufacturer = result["data"]["list"][order_random]["productList"][0]["manufacturer"]
material_code = func(result["data"]["list"][order_random]["productList"][0]["materialCode"])
product_code = result["data"]["list"][order_random]["productList"][0]["productCode"]
payment_type = result["data"]["list"][order_random]["productList"][0]["paymentType"]
create_time = str(result["data"]["list"][order_random]["createTime"][:10] + " 00:00:00")
end_time = str(datetime.datetime.now().strftime('%Y-%m-%d') + " 00:00:00")

# 第三步进行查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url7")
request_body = commonFuc().get_business_data(module, "payload7", seller_companyCode, demand_code, create_time, end_time,
                                             manufacturer, material_code, product_code, payment_type)

"""

 场景: 查询条件验证_欠货列表
 用例名称：查询条件验证_欠货列表
 输出：{"demandCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)

# print(result)

# 获取查询结果中订单编号
result = {"demandCode": result["data"]["list"][0]["demandCode"]}
result["api_time"] = api_time
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict7", demand_code)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
